Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.reports
Class DirectoriesForAuthorTableReport

    java.lang.Object
      net.sf.statcvs.reports.AbstractLocTableReport
          net.sf.statcvs.reports.DirectoriesForAuthorTableReport

All Implemented Interfaces:
  TableReport

public class DirectoriesForAuthorTableReport
extends AbstractLocTableReport
implements TableReport

Table report which creates a table containing directories to which a specified author has committed changes, and their respective number of changes and LOC.

Version:
  $Id: DirectoriesForAuthorTableReport.java,v 1.7 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak

Field Summary

Fields inherited from class net.sf.statcvs.reports.AbstractLocTableReport
`SORT_BY_LINES, SORT_BY_NAME`

Constructor Summary
`DirectoriesForAuthorTableReport(ReportConfig config, Author author)` Creates a table report containing directories to which a specified author has committed changes, and their respective number of changes and LOC.

Method Summary
`void` | `calculate()` Calculates the report from the source data.
`Table` | `getTable()` Returns the table data model.

Methods inherited from class net.sf.statcvs.reports.AbstractLocTableReport
`calculateChangesAndLinesPerDeveloper, calculateChangesAndLinesPerDirectory, createChangesAndLinesTable, getChangesMap, getContent, getDeveloperCount, getLinesMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoriesForAuthorTableReport

    public DirectoriesForAuthorTableReport(ReportConfig config,
                                           Author author)

  Creates a table report containing directories to which a specified author has committed changes, and their respective number of changes and LOC.

Parameters:
  `author` - an author

Method Detail

### calculate

    public void calculate()

  Description copied from interface: `TableReport`
  Calculates the report from the source data.

  Specified by:
    `calculate` in interface `TableReport`
  See Also:
    `TableReport.calculate()`

### getTable

    public Table getTable()

  Description copied from interface: `TableReport`
  Returns the table data model.

  Specified by:
    `getTable` in interface `TableReport`
  Returns:
    the table data model
  See Also:
    `TableReport.getTable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD